# Uses of Interface
com.logicaldoc.core.document.DocumentListener

Packages that use DocumentListener
Package
Description
com.logicaldoc.core.document
Contains the definitions of `Document` and `Version` as well as other related objects

## Uses of DocumentListener in com.logicaldoc.core.document

Classes in com.logicaldoc.core.document that implement DocumentListener
Modifier and Type
Class
Description
`class`
`DocumentInitializer`
This listener takes care of initializing the metadata of a document.
`class`
`DocumentValidator`
This listener takes care of logically validate a document.
Methods in com.logicaldoc.core.document that return types with arguments of type DocumentListener
Modifier and Type
Method
Description
`List<DocumentListener>`
DocumentListenerManager.`getListeners()`
The ordered list of listeners